<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

<%= form_with(model: user, local: true) do |form| %>
  <% if user.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(user.errors.count, "error") %> prohibited this user from being saved:</h2>

      <ul>
      <% user.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>
  <div class="container">
    <div class="form-group row">
      <div class="col-md-5">
        <%= form.label :user_name, class: "col-form-label" %>
        <%= form.text_field :user_name, id: :user_user_name, class: "form-control", required: true %>
      </div>

      <div class="col-md-5">
        <%= form.label :email_id, class: "col-form-label" %>
        <%= form.text_field :email_id, id: :user_email_id, class: "form-control", required: true %>
      </div>
      
      <div class="col-md-5">
        <%= form.label :password, class: "col-form-label" %>
        <%= form.password_field :password, id: "password-field", class: "form-control", required: true %>
      </div> 

      <div class="col-md-5">
        <%= form.label :education_qualification, class: "col-form-label" %>
        <%= form.text_field :education_qualification, id: :education_qualification, class: "form-control", required: true %>
      </div>
    </div>
      <%= form.hidden_field :role_id, value: 2  %>
    <div class="actions col-md-12 mt-4">
      <%= form.submit "Submit", class:"btn btn-primary float-right" %>
      <%= link_to "Cancel", users_path, class: "btn btn-warning float-right mr-3" %>
    </div>
  </div>
<% end %>